# Search customer context

Search customer relationships for invoice creation context.

Endpoint: GET /customers/context
Version: V5
Security: bearerAuth, basicAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

  - `basicAuth` (unknown)
    http basic

## Query parameters:

  - `search` (string)
    Matches a customer relationship ID, customer ID, or business name.

  - `limit` (integer)
    Maximum number of matching customer relationships to return.

## Response 200:

  - `200` (unknown)
    Customer relationships available for invoice creation.

## Response 200 fields (application/json):

  - `results` (array, required)

  - `results.id` (string, required)
    Merchant customer relationship ID.

  - `results.name` (string, required)

  - `results.email` (string)

  - `results.phone` (string)

  - `results.address` (string)

  - `results.available_credit` (number)

  - `results.advance_rate` (number)

## Response 401:

  - `401` (unknown)
    Unauthorized error

## Response 401 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Invalid merchant credentials

  - `error.type` (string)
    A short string, describing error type
    Enum: "authentication_error"

## Response 429:

  - `429` (unknown)
    Rate limit error

## Response 429 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Too many requests

  - `error.type` (string)
    A short string, describing error type
    Enum: "rate_limit_error"

